commit:     21e4f97ae4075da8f2eeff607705e62a17c2f93e
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 15 21:36:58 2018 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Mon Jan 15 21:37:12 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=21e4f97a

app-shells/hstr: version bump.

Package-Manager: Portage-2.3.13, Repoman-2.3.3

 app-shells/hstr/Manifest         |  1 +
 app-shells/hstr/hstr-1.24.ebuild | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/app-shells/hstr/Manifest b/app-shells/hstr/Manifest
index 07b2a83895d..22040ad4515 100644
--- a/app-shells/hstr/Manifest
+++ b/app-shells/hstr/Manifest
@@ -1 +1,2 @@
 DIST hstr-1.23.tar.gz 47239 BLAKE2B 
dec630f1e8161edc40544561dd85ea1c128a6704eeeaeb39eb6987bdc096a070c9e242b938bed01b80e208aadf08606518a007919d353f76ff1c36e7906aeabb
 SHA512 
234c72587d0492d788b1c001b5e53f74820790a9ebe670e8abd28cd82fc7db65996d54160e675055be54cab110686838fe6e36dbefe0fbef9175613633bc5910
+DIST hstr-1.24.tar.gz 47523 BLAKE2B 
6e84ea6bd26cb0745f48e5f8701d4d956ae4b83ed825398fdc401fd0b7f13eb9874de62d438e71a57fa048a535a538504e7fabd7b4a698665a10a901e0a570e6
 SHA512 
fe522374e33150007c0bbe5d11d38e63c355519350f5777c8787aae62826553b61a358185994d196d015590649fb3accf75948e340233459409d594e51874658

diff --git a/app-shells/hstr/hstr-1.24.ebuild b/app-shells/hstr/hstr-1.24.ebuild
new file mode 100644
index 00000000000..0f8e9981f2a
--- /dev/null
+++ b/app-shells/hstr/hstr-1.24.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools
+
+DESCRIPTION="Shell history suggest box"
+HOMEPAGE="https://github.com/dvorka/hstr http://www.mindforger.com";
+SRC_URI="https://github.com/dvorka/hstr/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+SLOT="0"
+LICENSE="Apache-2.0"
+KEYWORDS="~amd64 ~x86 ~amd64-fbsd"
+
+RDEPEND="sys-libs/ncurses:0="
+
+DEPEND="
+       ${RDEPEND}
+       virtual/pkgconfig"
+
+DOCS=( CONFIGURATION.md README.md )
+
+src_prepare() {
+       default
+       sed \
+               -e 's:-O2::g' \
+               -i src/Makefile.am || die
+       eautoreconf
+}

Reply via email to